execution state
Create execution state events
Requires scopes: runs:write
POST
/
api
/
execution-state
/
sessions
/
{sessionId}
/
events
Create execution state events
curl --request POST \
--url https://evalgate.com/api/execution-state/sessions/{sessionId}/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "session_started",
"idempotencyKey": "<string>",
"payload": {},
"payloadHash": "<string>",
"actor": {
"type": "user",
"id": "<string>",
"modelCallId": "<string>",
"runnerJobId": "<string>"
},
"evidence": [
{
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaVersion": 1,
"kind": "trace_revision",
"contentHash": "<string>",
"occurredAt": "<string>",
"privacyManifestId": "<string>",
"privacyViewId": "<string>"
}
],
"artifactRefs": [
{
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaVersion": 1,
"kind": "prompt",
"artifactId": "<string>",
"versionId": "<string>",
"contentHash": "<string>",
"environment": "local",
"dependencySnapshotHash": "<string>"
}
]
}
'import requests
url = "https://evalgate.com/api/execution-state/sessions/{sessionId}/events"
payload = {
"type": "session_started",
"idempotencyKey": "<string>",
"payload": {},
"payloadHash": "<string>",
"actor": {
"type": "user",
"id": "<string>",
"modelCallId": "<string>",
"runnerJobId": "<string>"
},
"evidence": [
{
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaVersion": 1,
"kind": "trace_revision",
"contentHash": "<string>",
"occurredAt": "<string>",
"privacyManifestId": "<string>",
"privacyViewId": "<string>"
}
],
"artifactRefs": [
{
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaVersion": 1,
"kind": "prompt",
"artifactId": "<string>",
"versionId": "<string>",
"contentHash": "<string>",
"environment": "local",
"dependencySnapshotHash": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'session_started',
idempotencyKey: '<string>',
payload: {},
payloadHash: '<string>',
actor: {type: 'user', id: '<string>', modelCallId: '<string>', runnerJobId: '<string>'},
evidence: [
{
id: '<string>',
organizationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
schemaVersion: 1,
kind: 'trace_revision',
contentHash: '<string>',
occurredAt: '<string>',
privacyManifestId: '<string>',
privacyViewId: '<string>'
}
],
artifactRefs: [
{
organizationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
schemaVersion: 1,
kind: 'prompt',
artifactId: '<string>',
versionId: '<string>',
contentHash: '<string>',
environment: 'local',
dependencySnapshotHash: '<string>'
}
]
})
};
fetch('https://evalgate.com/api/execution-state/sessions/{sessionId}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "session_started",
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaVersion": 1,
"evidence": [
{
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaVersion": 1,
"kind": "trace_revision",
"contentHash": "<string>",
"occurredAt": "<string>",
"privacyManifestId": "<string>",
"privacyViewId": "<string>"
}
],
"occurredAt": "<string>",
"sessionId": "<string>",
"idempotencyKey": "<string>",
"payload": {},
"payloadHash": "<string>",
"sequence": 123,
"actor": {
"type": "user",
"id": "<string>",
"modelCallId": "<string>",
"runnerJobId": "<string>"
},
"artifactRefs": [
{
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaVersion": 1,
"kind": "prompt",
"artifactId": "<string>",
"versionId": "<string>",
"contentHash": "<string>",
"environment": "local",
"sourceControl": {
"repositoryId": "<string>",
"provider": "github",
"commitSha": "<string>",
"path": "<string>"
},
"dependencySnapshotHash": "<string>"
}
],
"privacyManifestId": "<string>"
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}Authorizations
Organization-scoped EvalGate API key. Discover the supported agent scopes at /.well-known/oauth-protected-resource. Per-operation grants are listed in x-evalgate-required-scopes; OpenAPI bearer security requirement arrays remain empty as required for non-OAuth schemes.
Path Parameters
Body
application/json
type
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>Option 5 · enum<string>Option 6 · enum<string>Option 7 · enum<string>Option 8 · enum<string>Option 9 · enum<string>Option 10 · enum<string>Option 11 · enum<string>Option 12 · enum<string>Option 13 · enum<string>Option 14 · enum<string>Option 15 · enum<string>Option 16 · enum<string>Option 17 · enum<string>Option 18 · enum<string>Option 19 · enum<string>Option 20 · enum<string>Option 21 · enum<string>Option 22 · enum<string>Option 23 · enum<string>Option 24 · enum<string>Option 25 · enum<string>Option 26 · enum<string>Option 27 · enum<string>Option 28 · enum<string>Option 29 · enum<string>Option 30 · enum<string>Option 31 · enum<string>Option 32 · enum<string>Option 33 · enum<string>Option 34 · enum<string>Option 35 · enum<string>Option 36 · enum<string>Option 37 · enum<string>
required
Available options:
session_started Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Successful response
type
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>Option 5 · enum<string>Option 6 · enum<string>Option 7 · enum<string>Option 8 · enum<string>Option 9 · enum<string>Option 10 · enum<string>Option 11 · enum<string>Option 12 · enum<string>Option 13 · enum<string>Option 14 · enum<string>Option 15 · enum<string>Option 16 · enum<string>Option 17 · enum<string>Option 18 · enum<string>Option 19 · enum<string>Option 20 · enum<string>Option 21 · enum<string>Option 22 · enum<string>Option 23 · enum<string>Option 24 · enum<string>Option 25 · enum<string>Option 26 · enum<string>Option 27 · enum<string>Option 28 · enum<string>Option 29 · enum<string>Option 30 · enum<string>Option 31 · enum<string>Option 32 · enum<string>Option 33 · enum<string>Option 34 · enum<string>Option 35 · enum<string>Option 36 · enum<string>Option 37 · enum<string>
required
Available options:
session_started Available options:
1 Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Create execution state events
